<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>Session 18 JavaScript - Objects</title>
</head>
<body>
	<script src="./script.js"></script>
</body>
</html>


<!-- Activity:
/ 1. In the S18 folder, create an activity folder and an index.html and script.js file inside of it.
/ 2. Link the script.js file to the index.html file.
/ 3. Create a trainer object using object literals.
/ 4. Initialize/add the following trainer object properties:
- Name (String)
- Age (Number)
- Pokemon (Array)
- Friends (Object with Array values for properties)
/ 5. Initialize/add the trainer object method named talk that prints out the message Pikachu! I choose you!
/ 6. Access the trainer object properties using dot and square bracket notation.
/ 7. Invoke/call the trainer talk object method.

8. Create a constructor for creating a pokemon with the following properties:
- Name (Provided as an argument to the contructor)
- Level (Provided as an argument to the contructor)
- Health (Create an equation that uses the level property)
- Attack (Create an equation that uses the level property)
9. Create/instantiate several pokemon object from the constructor with varying name and level properties.
10. Create a tackle method that will subtract the health property of the target pokemon object with the attack property of the object that used the tackle method.
11. Create a faint method that will print out a message of targetPokemon has fainted.
12. Create a condition in the tackle method that if the health property of the target pokemon object is less than or equal to 0 will invoke the faint method.
13. Invoke the tackle method of one pokemon object to see if it works as intended.
14. Create a git repository named S18.
15. Initialize a local git repository, add the remote link and push to git with the commit message of Add activity code."S18-Activity"
16. Add the link in Boodle. "Javascript - Objects" -->